VST 3 Examples VST 3.7 SDK for developing VST plug-in

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
PitchNamesDataBrowserSource Class Reference

`#include <pitchnamesdatabrowsersource.h>`

Inheritance diagram for PitchNamesDataBrowserSource:

## Public Member Functions
| PitchNamesDataBrowserSource (Steinberg::Vst::EditControllerEx1 *editController, Steinberg::Vst::UnitID unitID)
| ~PitchNamesDataBrowserSource ()
int32_t | dbGetNumRows (CDataBrowser *browser) SMTG_OVERRIDE
int32_t | dbGetNumColumns (CDataBrowser *browser) SMTG_OVERRIDE
bool | dbGetColumnDescription (int32_t index, CCoord &minWidth, CCoord &maxWidth, CDataBrowser *browser) SMTG_OVERRIDE
CCoord | dbGetCurrentColumnWidth (int32_t index, CDataBrowser *browser) SMTG_OVERRIDE
void | dbSetCurrentColumnWidth (int32_t index, const CCoord &width, CDataBrowser *browser) SMTG_OVERRIDE
CCoord | dbGetRowHeight (CDataBrowser *browser) SMTG_OVERRIDE
bool | dbGetLineWidthAndColor (CCoord &width, CColor &color, CDataBrowser *browser) SMTG_OVERRIDE
void | dbDrawHeader (CDrawContext *context, const CRect &size, int32_t column, int32_t flags, CDataBrowser *browser) SMTG_OVERRIDE
void | dbDrawCell (CDrawContext *context, const CRect &size, int32_t row, int32_t column, int32_t flags, CDataBrowser *browser) SMTG_OVERRIDE
CMouseEventResult | dbOnMouseDown (const CPoint &where, const CButtonState &buttons, int32_t row, int32_t column, CDataBrowser *browser) SMTG_OVERRIDE
CMouseEventResult | dbOnMouseMoved (const CPoint &where, const CButtonState &buttons, int32_t row, int32_t column, CDataBrowser *browser) SMTG_OVERRIDE
CMouseEventResult | dbOnMouseUp (const CPoint &where, const CButtonState &buttons, int32_t row, int32_t column, CDataBrowser *browser) SMTG_OVERRIDE
void | dbSelectionChanged (CDataBrowser *browser) SMTG_OVERRIDE
void | dbCellTextChanged (int32_t row, int32_t column, UTF8StringPtr newText, CDataBrowser *browser) SMTG_OVERRIDE
void | dbCellSetupTextEdit (int32_t row, int32_t column, CTextEdit *textEditControl, CDataBrowser *browser) SMTG_OVERRIDE
int32_t | dbOnKeyDown (const VstKeyCode &key, CDataBrowser *browser) SMTG_OVERRIDE

## Protected Member Functions
void | getPitchName (int16_t pitch, std::string &name)

## Protected Attributes
Steinberg::Vst::ProgramListWithPitchNames * | pitchnames

## Constructor & Destructor Documentation

## ◆ PitchNamesDataBrowserSource()

PitchNamesDataBrowserSource | ( | Steinberg::Vst::EditControllerEx1 * | editController,
|  | Steinberg::Vst::UnitID | unitID
| ) |  |

## ◆ ~PitchNamesDataBrowserSource()

~PitchNamesDataBrowserSource | ( |  | ) |

## Member Function Documentation

## ◆ dbGetNumRows()

int32_t dbGetNumRows | ( | CDataBrowser * | browser | ) |

## ◆ dbGetNumColumns()

int32_t dbGetNumColumns | ( | CDataBrowser * | browser | ) |

## ◆ dbGetColumnDescription()

bool dbGetColumnDescription | ( | int32_t | index,
|  | CCoord & | minWidth,
|  | CCoord & | maxWidth,
|  | CDataBrowser * | browser
| ) |  |

## ◆ dbGetCurrentColumnWidth()

CCoord dbGetCurrentColumnWidth | ( | int32_t | index,
|  | CDataBrowser * | browser
| ) |  |

## ◆ dbSetCurrentColumnWidth()

void dbSetCurrentColumnWidth | ( | int32_t | index,
|  | const CCoord & | width,
|  | CDataBrowser * | browser
| ) |  |

## ◆ dbGetRowHeight()

CCoord dbGetRowHeight | ( | CDataBrowser * | browser | ) |

## ◆ dbGetLineWidthAndColor()

bool dbGetLineWidthAndColor | ( | CCoord & | width,
|  | CColor & | color,
|  | CDataBrowser * | browser
| ) |  |

## ◆ dbDrawHeader()

void dbDrawHeader | ( | CDrawContext * | context,
|  | const CRect & | size,
|  | int32_t | column,
|  | int32_t | flags,
|  | CDataBrowser * | browser
| ) |  |

## ◆ dbDrawCell()

void dbDrawCell | ( | CDrawContext * | context,
|  | const CRect & | size,
|  | int32_t | row,
|  | int32_t | column,
|  | int32_t | flags,
|  | CDataBrowser * | browser
| ) |  |

## ◆ dbOnMouseDown()

CMouseEventResult dbOnMouseDown | ( | const CPoint & | where,
|  | const CButtonState & | buttons,
|  | int32_t | row,
|  | int32_t | column,
|  | CDataBrowser * | browser
| ) |  |

## ◆ dbOnMouseMoved()

CMouseEventResult dbOnMouseMoved | ( | const CPoint & | where,
|  | const CButtonState & | buttons,
|  | int32_t | row,
|  | int32_t | column,
|  | CDataBrowser * | browser
| ) |  |

## ◆ dbOnMouseUp()

CMouseEventResult dbOnMouseUp | ( | const CPoint & | where,
|  | const CButtonState & | buttons,
|  | int32_t | row,
|  | int32_t | column,
|  | CDataBrowser * | browser
| ) |  |

## ◆ dbSelectionChanged()

void dbSelectionChanged | ( | CDataBrowser * | browser | ) |

## ◆ dbCellTextChanged()

void dbCellTextChanged | ( | int32_t | row,
|  | int32_t | column,
|  | UTF8StringPtr | newText,
|  | CDataBrowser * | browser
| ) |  |

## ◆ dbCellSetupTextEdit()

void dbCellSetupTextEdit | ( | int32_t | row,
|  | int32_t | column,
|  | CTextEdit * | textEditControl,
|  | CDataBrowser * | browser
| ) |  |

## ◆ dbOnKeyDown()

int32_t dbOnKeyDown | ( | const VstKeyCode & | key,
|  | CDataBrowser * | browser
| ) |  |

## ◆ getPitchName()

void getPitchName | ( | int16_t | pitch,
|  | std::string & | name
| ) |  |
| protected

## Member Data Documentation

## ◆ pitchnames

Steinberg::Vst::ProgramListWithPitchNames* pitchnames
| protected

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.